'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a5939648.js');

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M12.29 8.71005L9.69997 11.3001C9.30997 11.6901 9.30997 12.3201 9.69997 12.7101L12.29 15.3001C12.92 15.9301 14 15.4801 14 14.5901V9.41005C14 8.52005 12.92 8.08005 12.29 8.71005Z" fill="currentColor"/></svg>';

const RuxIconArrowLeft = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return index.h("div", { style: style, innerHTML: svgIcon });
  }
};

exports.rux_icon_arrow_left = RuxIconArrowLeft;
