'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a5939648.js');

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M17 18H19V5H18.7L14 6.7V8.4L17 7.38V18ZM5 13C4.45 13 4 12.55 4 12C4 11.45 4.45 11 5 11H11C11.55 11 12 11.45 12 12C12 12.55 11.55 13 11 13H5Z" fill="currentColor"/></svg>';

const RuxIconExposureNeg1 = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return index.h("div", { style: style, innerHTML: svgIcon });
  }
};

exports.rux_icon_exposure_neg_1 = RuxIconExposureNeg1;
