'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-a5939648.js');

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M12 2C8 2 4 2.5 4 6V15.5C4 17.43 5.57 19 7.5 19L6.35 20.15C6.04 20.46 6.26 21 6.71 21H7.8C7.93 21 8.06 20.95 8.15 20.85L10 19H14L15.85 20.85C15.94 20.94 16.07 21 16.2 21H17.29C17.74 21 17.96 20.46 17.64 20.15L16.5 19C18.43 19 20 17.43 20 15.5V6C20 2.5 16 2 12 2ZM7.5 17C6.67 17 6 16.33 6 15.5C6 14.67 6.67 14 7.5 14C8.33 14 9 14.67 9 15.5C9 16.33 8.33 17 7.5 17ZM6 10H11V6H6V10ZM16.5 17C15.67 17 15 16.33 15 15.5C15 14.67 15.67 14 16.5 14C17.33 14 18 14.67 18 15.5C18 16.33 17.33 17 16.5 17ZM13 10H18V6H13V10Z" fill="currentColor"/></svg>';

const RuxIconTrain = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return index.h("div", { style: style, innerHTML: svgIcon });
  }
};

exports.rux_icon_train = RuxIconTrain;
