import { h } from '@stencil/core';
import { newSpecPage } from '@stencil/core/testing';
import { RuxTreeNode } from './rux-tree-node';
describe('RuxTreeNode', () => {
  let page;
  const buttonSpy = jest.fn();
  beforeEach(async () => {
    page = await newSpecPage({
      components: [RuxTreeNode],
      template: () => (h("rux-tree-node", { onRuxtreenodeselected: (ev) => buttonSpy(ev) })),
    });
  });
  it('Should emit on click', async () => {
    var _a;
    const button = (_a = page.doc) === null || _a === void 0 ? void 0 : _a.querySelector('rux-tree-node');
    page.waitForChanges();
    button.click();
    expect(buttonSpy).toHaveBeenCalledTimes(1);
    // [0][0] - first argument of the first call
    expect(buttonSpy.mock.calls[0][0].detail).toEqual('node-1');
  });
});
