import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M19 3H14.82C14.4 1.84 13.3 1 12 1C10.7 1 9.6 1.84 9.18 3H5C3.9 3 3 3.9 3 5V19C3 20.1 3.9 21 5 21H19C20.1 21 21 20.1 21 19V5C21 3.9 20.1 3 19 3ZM12 3C12.55 3 13 3.45 13 4C13 4.55 12.55 5 12 5C11.45 5 11 4.55 11 4C11 3.45 11.45 3 12 3ZM6.7 13.7L9.29 16.29C9.68 16.68 10.32 16.68 10.7 16.29L17.29 9.7C17.68 9.31 17.68 8.68 17.29 8.29C16.9 7.9 16.27 7.9 15.88 8.29L10 14.17L8.11 12.29C7.72 11.9 7.09 11.9 6.7 12.29C6.31 12.68 6.31 13.31 6.7 13.7Z" fill="currentColor"/></svg>';

const RuxIconAssignmentTurnedIn$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconAssignmentTurnedIn extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-assignment-turned-in", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-assignment-turned-in"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-assignment-turned-in":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconAssignmentTurnedIn$1);
      }
      break;
  } });
}

const RuxIconAssignmentTurnedIn = RuxIconAssignmentTurnedIn$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconAssignmentTurnedIn, defineCustomElement };
