import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M3 5V19C3 20.1 3.9 21 5 21H19C20.1 21 21 20.1 21 19V5C21 3.9 20.1 3 19 3H5C3.9 3 3 3.9 3 5ZM13 7H11V9H13V7ZM13 11H11V13H13V11ZM15 11H17V13H15V11ZM6 19H18C18.55 19 19 18.55 19 18V6C19 5.45 18.55 5 18 5H6C5.45 5 5 5.45 5 6V18C5 18.55 5.45 19 6 19ZM13 15H11V17H13V15ZM7 11H9V13H7V11Z" fill="currentColor"/></svg>';

const RuxIconBorderOuter$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconBorderOuter extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-border-outer", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-border-outer"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-border-outer":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconBorderOuter$1);
      }
      break;
  } });
}

const RuxIconBorderOuter = RuxIconBorderOuter$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconBorderOuter, defineCustomElement };
