import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M12 4C15.64 4 18.67 6.59 19.35 10.04C21.95 10.22 24 12.36 24 15C24 17.76 21.76 20 19 20H6C2.69 20 0 17.31 0 14C0 10.91 2.34 8.36 5.35 8.04C6.6 5.64 9.11 4 12 4ZM14 17V13H17L12.36 8.35C12.16 8.15 11.85 8.15 11.65 8.35L7 13H10V17H14Z" fill="currentColor"/></svg>';

const RuxIconCloudUpload$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconCloudUpload extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-cloud-upload", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-cloud-upload"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-cloud-upload":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconCloudUpload$1);
      }
      break;
  } });
}

const RuxIconCloudUpload = RuxIconCloudUpload$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconCloudUpload, defineCustomElement };
