import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M2 12C2 6.48 6.48 2 12 2C17.52 2 22 6.48 22 12C22 17.52 17.52 22 12 22C6.48 22 2 17.52 2 12ZM5.5 15C5.5 16.38 6.62 17.5 8 17.5C9.38 17.5 10.5 16.38 10.5 15C10.5 13.62 9.38 12.5 8 12.5C6.62 12.5 5.5 13.62 5.5 15ZM9.5 8C9.5 6.62 10.62 5.5 12 5.5C13.38 5.5 14.5 6.62 14.5 8C14.5 9.38 13.38 10.5 12 10.5C10.62 10.5 9.5 9.38 9.5 8ZM13.5 15C13.5 16.38 14.62 17.5 16 17.5C17.38 17.5 18.5 16.38 18.5 15C18.5 13.62 17.38 12.5 16 12.5C14.62 12.5 13.5 13.62 13.5 15Z" fill="currentColor"/></svg>';

const RuxIconGroupWork$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconGroupWork extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-group-work", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-group-work"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-group-work":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconGroupWork$1);
      }
      break;
  } });
}

const RuxIconGroupWork = RuxIconGroupWork$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconGroupWork, defineCustomElement };
