import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M5 3H19C20.1 3 21 3.9 21 5V19C21 20.1 20.1 21 19 21H5C3.9 21 3 20.1 3 19V5C3 3.9 3.9 3 5 3ZM8 13H16C16.55 13 17 12.55 17 12C17 11.45 16.55 11 16 11H8C7.45 11 7 11.45 7 12C7 12.55 7.45 13 8 13Z" fill="currentColor"/></svg>';

const RuxIconIndeterminateCheckBox$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconIndeterminateCheckBox extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-indeterminate-check-box", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-indeterminate-check-box"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-indeterminate-check-box":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconIndeterminateCheckBox$1);
      }
      break;
  } });
}

const RuxIconIndeterminateCheckBox = RuxIconIndeterminateCheckBox$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconIndeterminateCheckBox, defineCustomElement };
