import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M8.11997 9.29006L12 13.1701L15.88 9.29006C16.27 8.90006 16.9 8.90006 17.29 9.29006C17.68 9.68006 17.68 10.3101 17.29 10.7001L12.7 15.2901C12.31 15.6801 11.68 15.6801 11.29 15.2901L6.69997 10.7001C6.30997 10.3101 6.30997 9.68006 6.69997 9.29006C7.08997 8.91006 7.72997 8.90006 8.11997 9.29006Z" fill="currentColor"/></svg>';

const RuxIconKeyboardArrowDown$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconKeyboardArrowDown extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-keyboard-arrow-down", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-keyboard-arrow-down"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-keyboard-arrow-down":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconKeyboardArrowDown$1);
      }
      break;
  } });
}

const RuxIconKeyboardArrowDown = RuxIconKeyboardArrowDown$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconKeyboardArrowDown, defineCustomElement };
