import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M2 12C2 6.47 6.47 2 12 2C17.53 2 22 6.47 22 12C22 17.53 17.53 22 12 22C6.47 22 2 17.53 2 12ZM4 12C4 16.41 7.59 20 12 20C16.41 20 20 16.41 20 12C20 7.59 16.41 4 12 4C7.59 4 4 7.59 4 12Z" fill="currentColor"/></svg>';

const RuxIconPanoramaFishEye$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconPanoramaFishEye extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-panorama-fish-eye", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-panorama-fish-eye"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-panorama-fish-eye":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconPanoramaFishEye$1);
      }
      break;
  } });
}

const RuxIconPanoramaFishEye = RuxIconPanoramaFishEye$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconPanoramaFishEye, defineCustomElement };
