import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M20 4H4C2.89 4 2.01 4.89 2.01 6L2 18C2 19.11 2.89 20 4 20H20C21.11 20 22 19.11 22 18V6C22 4.89 21.11 4 20 4ZM19 18H5C4.45 18 4 17.55 4 17V12H20V17C20 17.55 19.55 18 19 18ZM4 8H20V7C20 6.45 19.55 6 19 6H5C4.45 6 4 6.45 4 7V8Z" fill="currentColor"/></svg>';

const RuxIconPayment$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconPayment extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-payment", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-payment"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-payment":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconPayment$1);
      }
      break;
  } });
}

const RuxIconPayment = RuxIconPayment$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconPayment, defineCustomElement };
