import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M19 3H5C3.9 3 3 3.9 3 5V19C3 20.1 3.9 21 5 21H19C20.1 21 21 20.1 21 19V5C21 3.9 20.1 3 19 3ZM10 9.04V14.96C10 15.38 10.48 15.61 10.81 15.35L14.51 12.39C14.76 12.19 14.76 11.81 14.51 11.61L10.81 8.65C10.48 8.39 10 8.62 10 9.04ZM6 19H18C18.55 19 19 18.55 19 18V6C19 5.45 18.55 5 18 5H6C5.45 5 5 5.45 5 6V18C5 18.55 5.45 19 6 19Z" fill="currentColor"/></svg>';

const RuxIconSlideshow$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconSlideshow extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-slideshow", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-slideshow"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-slideshow":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconSlideshow$1);
      }
      break;
  } });
}

const RuxIconSlideshow = RuxIconSlideshow$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconSlideshow, defineCustomElement };
