import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M12 4C7 4 2.73 7.11 1 11.5C2.73 15.89 7 19 12 19C17 19 21.27 15.89 23 11.5C21.27 7.11 17 4 12 4ZM12 16.5C9.24 16.5 7 14.26 7 11.5C7 8.74 9.24 6.5 12 6.5C14.76 6.5 17 8.74 17 11.5C17 14.26 14.76 16.5 12 16.5ZM9 11.5C9 9.84 10.34 8.5 12 8.5C13.66 8.5 15 9.84 15 11.5C15 13.16 13.66 14.5 12 14.5C10.34 14.5 9 13.16 9 11.5Z" fill="currentColor"/></svg>';

const RuxIconVisibility$1 = /*@__PURE__*/ proxyCustomElement(class RuxIconVisibility extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
}, [0, "rux-icon-visibility", {
    "size": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["rux-icon-visibility"];
  components.forEach(tagName => { switch (tagName) {
    case "rux-icon-visibility":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, RuxIconVisibility$1);
      }
      break;
  } });
}

const RuxIconVisibility = RuxIconVisibility$1;
const defineCustomElement = defineCustomElement$1;

export { RuxIconVisibility, defineCustomElement };
