import { r as registerInstance, h } from './index-416188d1.js';

const svgIcon = '<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M18 8C18 4.69 15.31 2 12 2C8.69 2 6 4.69 6 8C6 11.49 9.62 16.19 11.23 18.12C11.63 18.6 12.36 18.6 12.76 18.12C14.38 16.19 18 11.49 18 8ZM10 8C10 6.9 10.9 6 12 6C13.1 6 14 6.9 14 8C14 9.1 13.11 10 12 10C10.9 10 10 9.1 10 8ZM6 22C5.45 22 5 21.55 5 21C5 20.45 5.45 20 6 20H18C18.55 20 19 20.45 19 21C19 21.55 18.55 22 18 22H6Z" fill="currentColor"/></svg>';

const RuxIconPinDrop = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.size = 'auto';
  }
  get iconSize() {
    const sizes = {
      'extra-small': '1rem',
      small: '2rem',
      normal: '3rem',
      large: '4rem',
    };
    if (sizes[this.size]) {
      return sizes[this.size];
    }
    else {
      return this.size;
    }
  }
  render() {
    const style = {
      height: this.iconSize,
      width: this.iconSize,
    };
    return h("div", { style: style, innerHTML: svgIcon });
  }
};

export { RuxIconPinDrop as rux_icon_pin_drop };
